/*
 * Guillaume Cottenceau (gc@mandrakesoft.com)
 *
 * Copyright 2000 MandrakeSoft
 *
 * This software may be freely redistributed under the terms of the GNU
 * public license.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

/*
 * Portions from Erik Troan (ewt@redhat.com)
 *
 * Copyright 1996 Red Hat Software
 *
 */

#ifndef _PROBING_H_
#define _PROBING_H_

enum media_type { CDROM, DISK, FLOPPY, TAPE, UNKNOWN_MEDIA };

void get_medias(enum media_type media, char *** names, char *** models);
void probe_hiddev();
char ** get_net_devices(void);
void free_net_devices(char ** list);
void net_discovered_interface(char * intf_name);
char * get_net_intf_description(char * intf_name);

#ifndef SYSFS_PATH_MAX
#define SYSFS_PATH_MAX          256
#endif

/*
 * from scsi/scsi.h
 */

#define SCSI_TYPE_DISK           0x00
#define SCSI_TYPE_TAPE           0x01
#define SCSI_TYPE_ROM            0x05

#endif
